/* Navigation Bar */
header {
	width: 100%;
	padding: 10px 0px;
	position: fixed;
	transition: all .4s ease;
	transition-timing-function: ease;
	/* background-color: #EEECF9; */
}

.header-main-bg {
	position: absolute;
	height: 100%;
	width: -moz-max-content;
	width: max-content;
	top: 0;
	right: calc(100% - 300px);
	z-index: -1;
}

.header-main-bg img {
	height: 100%;
}

.menu-open {
	overflow: hidden;
}

header.sticky {
	background: #ffffffeb;
	padding: 10px 0px;
	backdrop-filter: blur(3px);
	z-index: 9;
}

header.sticky h6 {
	margin: 15px 0;
}

header.sticky .logo {
	img {
		filter: none;
	}
}

.navbar {
	max-width: 1300px;
	margin: 0 auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 5px 30px 15px;
    border-radius: 100px;
	background-color: #fff;
    border: 8px solid rgba(56, 75, 255, 0.3);
    border-top: 0px;

	a {
		text-decoration: none;

		h2 {
			font-size: 3em;
			/* font-family: 'Rampart One'; */
			letter-spacing: 0.05em;
			text-transform: uppercase;
		}
	}
}

.logo {
	display: flex;
	font-size: 2.75em;
	color: #000;
	margin: initial;
}

.logo img {
	/* width: 250px; */
}

.menu {
	width: auto;
	height: auto;
	max-height: 100%;
	/* overflow: hidden; */
	/* // position: fixed; */
	text-align: center;
	/* // padding: 90px 0px; */
	/* // background-color: $background-color_2; */
	align-items: center;
	z-index: 0;
	transition: all 0.5s ease;
	transition-timing-function: ease;
	box-sizing: border-box;
	top: 0px;
	left: 0px;

	ul {
		list-style: none;

		li {
			display: inline-block;

			a {
				text-decoration: none;
				color: var(--text-color);
				font-size: 1.2rem;
				font-weight: bold;
				padding: 10px 20px;
				font-family: 'Space Grotesk';
				display: block;

				&:hover {
					cursor: pointer;
					color: var(--primary-color);
				}

				svg {
					position: absolute;
					top: 16px;
					right: -8px;
				}

				svg path {
					fill: #000;
				}
			}

			ul {
				width: 100%;
				display: none;
				-webkit-box-shadow: 0 5px 20px rgba(0, 0, 0, .32);
				box-shadow: 0 5px 20px rgba(0, 0, 0, .32);

				li {
					width: 100%;
					padding: 0px;

					a {
						text-decoration: none;
						font-size: 14px;
						text-transform: none;
						font-weight: 600;
						display: block;
						padding: 10px;

						&:hover {
							color: var(--primary-color);
							cursor: pointer;
						}
					}
				}

				&:before {
					content: "";
					display: block;
					margin: auto;
					height: 0px;
					width: 0;
					border-left: 10px solid transparent;
					border-right: 10px solid transparent;
					border-bottom: 10px solid #fff;
					top: -8px;
					position: absolute;
					z-index: 9;
					box-sizing: border-box;
					margin: 0 auto;
					left: 30px;
				}

			}
		}
	}

	ul li:hover ul {
		display: grid;
		position: absolute;
		z-index: 9;
		background: #fff;
		max-width: 200px;
		border-radius: 5px;
		padding: 10px;
		overflow: visible;
		/* left: 0;
		right: 0; */
		margin: 0 auto;
	}

}

/* 
.nav-links {
    list-style: none;
}

.nav-links li {
    display: inline;
}

.nav-links a {
    text-decoration: none;
    color: var(--text-color);
    font-size: 1em;
    padding: 10px 25px;
}
.nav-links a:hover{
    color: var(--primary-color);
} */

.hamburger-menu {
	width: 55px;
	height: 55px;
	display: inline-block;
	cursor: pointer;
	float: right;
	z-index: 9;
	padding: 15px 15px 15px 15px;
	position: relative;
	background: #ffffff8f;
	border-radius: 40px;
	display: none;
}

.bar {
	width: 25px;
	height: 3px;
	margin: 5px 0;
	background-color: #333;
	transition: all 0.3s ease;
	border-radius: 10px;
}

.hamburger-menu.open {
	.bar {
		&:nth-child(1) {
			transform: rotate(45deg) translate(5px, 6px);
		}

		&:nth-child(2) {
			opacity: 0;
		}

		&:nth-child(3) {
			transform: rotate(-45deg) translate(5px, -6px);
		}
	}
}

/********** responsive design**************/

@media screen and (max-width: 980px) {
	header {
		background: #ffffffeb;
		padding: 10px 0px;
		backdrop-filter: blur(3px);
		z-index: 9;
		border-bottom: 1px solid #d8dddd;
	}

	.hamburger-menu {
		display: block;
	}

	.menu.close {
		visibility: hidden;
	}

	.menu {
		width: 100%;
		height: calc(100vh - 49px);
		max-height: none;
		overflow: hidden;
		position: fixed;
		text-align: center;
		padding: 0px 20px;
		background-color: #fffffffa;
		align-items: center;
		z-index: 0;
		transition: all 0.5s ease;
		transition-timing-function: ease;
		box-sizing: border-box;
		top: 0px;
		left: 0px;
		overflow: scroll;
	}

	.menu ul li ul {
		width: 100%;
		display: grid;
		box-shadow: none;
	}

	.menu ul li:hover ul {
		margin: 0 auto;
		padding: 0px;
		background: none;
		position: relative;
		max-width: none;
	}

	.menu ul li a {
		text-decoration: none;
		font-size: 1.75em;
		color: #000;
		text-transform: uppercase;
		font-weight: 800;
		display: block;
		padding: 20px 10px;
	}

	.menu .cta-button-filled {
		display: inline-block;
		padding: 10px 30px;
	}

	.theapp {
		padding: 20px 10px;
	}

	.the-contact-us {
		padding: 20px 10px;
	}
}

.theapp .cta-button-outlined {
	display: inline-flex;
	align-items: center;
	gap: 10px;
	border: 1px solid var(--primary-color);
	border-radius: 25px;
	padding: 5px 25px !important;
}

li:nth-child(6) {
	padding: 0px 25px;
}

.theapp {
	display: inline-flex;
}

@media screen and (max-width:1024px) and (min-width:981px) {
	.navbar {
		justify-content: space-around;
	}

	li:nth-child(6) {
		padding: 20px 10px;
	}

	.menu ul li a {
		padding: 10px 15px;
	}
}

@media screen and (max-width: 768px) and (min-width:501px) {
	.theapp .cta-button-outlined {
		padding: 10px 25px !important;
	}
}

.the-contact-us {
	display: inline-flex;
}

@media screen and (max-width: 768px) {
	.the-contact-us {
		padding: 20px 0;
	}
}

.menu-title {
	display: none;
}

@media screen and (max-width: 500px) {
	.menu-title {
		display: block;
		text-align: left;
		font-size: 14px;
		padding-top: 35px;
	}

	.nav-links {
		text-align: left;
		padding: 0px 24px;
	}

	li:nth-child(6) {
		padding: 0px;
	}

	.theapp {
		padding: 0px;
	}

	.menu ul li a {
		font-size: 26px;
		font-weight: normal;
	}

	.theapp .cta-button-outlined {
		padding: 15px 10px !important;
		border: none;
	}

	.cta-button-filled.header-mobile {
		background: none;
		color: #000 !important;
	}

	.menu .cta-button-filled {
		padding: 0px;
	}

	.the-contact-us {
		padding: 15px 10px;
	}

	.header-social-title {
		display: block;
		text-align: left;
		padding: 10px 0px;
		font-size: 14px;
	}

	.menu {
		padding: 0px;
	}

	.menu ul li {
		display: block;
	}
	.navbar {
		padding: 0px 30px;
		justify-content: space-between;
	}
	.logo {
		font-size: 25px !important;
	}
}


.header-social-title {
	display: none;
}

.header-social-menu {
	display: none;
}

@media screen and (max-width: 500px) {
	.header-social-title {
		display: block;
	}

	.header-social-menu {
		display: flex;
		flex-direction: row;
		padding: 10px 25px;
		gap: 10px;
		flex-wrap: wrap;
	}

	.header-social-menu li a {
		padding: 0px !important;
	}
}
@media screen and (max-width: 320px) {
	.header-main-bg {
		right: calc(100% - 360px);
	}
}

.header-button a {
	color: var(--white-color) !important;
}
.gt-btn a {
    background: var(--fourth-color);
    color: var(--white-color);
}
.sticky .navbar {
	border: none;
	background-color: unset;
}